Menü
Mac & i

WhatsApp unterstützt iPhone 3G nicht mehr

vorlesen Drucken Kommentare lesen 307 Beiträge

Der Instant-Messenger WhatsApp funktioniert neuerdings nicht mehr auf dem iPhone 3G. Ältere Versionen der App verweisen auf ein Update, welches jedoch mindestens iOS 4.3 benötigt. Dies ist die erste iOS-Version, die ein iPhone 3GS voraussetzt und auf der zweiten iPhone-Generation aus dem Jahr 2008 nicht mehr läuft. Als Grund für den Schritt führen die WhatsApp-Entwickler in ihrem Blog an, dass Apples Entwicklungsumgebung Xcode 4.5 ältere iOS-Versionen und damit ältere iOS-Geräte nicht mehr unterstützt. "Wir müssen Apples Beispiel folgen", betonen die WhatsApp-Entwickler – die Innovationsgeschwindigkeit des iPhone-Herstellers bezahle man aber mit "geplanter Obsoleszenz".

iPhone-3G-Nutzer zeigen sich im App Store wenig erfreut

Das Problem haben seit der Einführung des iPhone 5 auch andere Entwickler: Wer seine App für das aktuelle iPhone und iOS 6 anpasst, muss mindestens iOS 4.3 voraussetzen und unterstützt damit zwangsläufig das iPhone 3G nicht mehr. Nutzer dieses Modells können zwar meist ältere App-Versionen weiterhin einsetzen, müssen dann aber das Aktualisieren von Apps per iTunes vermeiden, denn die Mediensoftware bezieht bei Updates die neueste Version und wirft den Vorgänger in den Müll. Auf dem iPhone selbst lässt sich ein Update dahingegen nicht installieren, wenn es das Gerät nicht unterstützt. Apple gibt Besitzern älterer iOS-Geräte derzeit keine Möglichkeit, vorhergehende App-Version wieder aus der Cloud zu beziehen – der App Store liefert lediglich die neueste Variante aus.

Die Anpassung von WhatsApp an das iPhone 5 erfolgte im November 2012 – seitdem benötigt die App auch iOS 4.3, allerdings ließen sich ältere App-Versionen weiterhin einsetzen. Warum WhatsApp inzwischen zwingend die aktuelle Version 2.8.7 zur Nutzung des Dienstes voraussetzt, bleibt offen – eine entsprechende Anfrage hat die Firma bislang nicht beantwortet. Die jüngsten WhatsApp-Updates beseitigten auch Sicherheitsprobleme, die unter anderem die Übernahme eines Accounts ermöglicht hatten. (lbe)